cURL
curl --request POST \
--url https://grid.squads.xyz/api/v0/grid/smart-accounts/auth \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Grid-Environment: <x-grid-environment>' \
--data '
{
"app_icon_url": "<string>",
"app_name": "<string>",
"email": "<string>",
"expiration": 1,
"external_id": "<string>"
}
'import requests
url = "https://grid.squads.xyz/api/v0/grid/smart-accounts/auth"
payload = {
"app_icon_url": "<string>",
"app_name": "<string>",
"email": "<string>",
"expiration": 1,
"external_id": "<string>"
}
headers = {
"X-Grid-Environment": "<x-grid-environment>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Grid-Environment': '<x-grid-environment>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
app_icon_url: '<string>',
app_name: '<string>',
email: '<string>',
expiration: 1,
external_id: '<string>'
})
};
fetch('https://grid.squads.xyz/api/v0/grid/smart-accounts/auth', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"mpc_primary_id": "<string>",
"otp_id": "<string>"
}{
"details": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"message": "<string>",
"timestamp": "<string>"
}{
"details": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"message": "<string>",
"timestamp": "<string>"
}{
"details": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"message": "<string>",
"timestamp": "<string>"
}Authorities
Auth Email Authority
POST
/
smart-accounts
/
auth
cURL
Authorizations
API Key for authentication
Headers
The environment you’re using. Can be sandbox or production.
Body
application/json
Was this page helpful?
⌘I